bin_PROGRAMS=yals 
noinst_PROGRAMS=client async test 

SRC_IN= websocket/singleton_test_class1.cpp  websocket/wsClient.cpp websocket/wsClientMgr.cpp websocket/wsTimerThread.cpp db_api/CDBConnect.cpp db_api/CDBConnPool.cpp db_api/CDBHelper.cpp db_api/CDBResultSet.cpp websocket/jsonBuilder.cpp websocket/jsonBuilder.h websocket/thread_safe_map.h

AM_SOURCES= $(SRC_IN) src/sio_client.cpp src/sio_socket.cpp src/internal/sio_client_impl.cpp src/internal/sio_packet.cpp src/sio_client.h src/sio_message.h src/sio_socket.h src/internal/sio_client_impl.h src/internal/sio_packet.h \
select_tool.h select_tool.cpp line_fit.h line_fit.cpp card_path.h card_path.cpp loc_point.h loc_point.cpp ant.cpp ant.h card.cpp card.h clock.h \
crc.cpp crc.h io_buf.h line.h loc_tool.cpp loc_tool.h message.cpp \
message_file.h message.h net-service.cpp net-service.h point.cpp point.h tdoa_sync.cpp tdoa_sync.h \
worker.cpp worker.h zio.h zloop.h znet.cpp znet.h zstream.h site_area.cpp  site_area.h area.h area.cpp

AM_CPPFLAGS=-Wall -pthread -m64 -std=c++11 -fPIC -I${prefix}/include -I./src -I/usr/local/mysql/include -I../include/websocketpp -I../include
AM_LDFLAGS= -Wall -pthread -m64 -std=c++11 -fPIC -L${prefix}/lib  -L/usr/local/mysql/lib

yals_SOURCES=${AM_SOURCES} main.cpp 
yals_CPPFLAGS=${AM_CPPFLAGS} 
yals_LDFLAGS=${AM_LDFLAGS}  -lzlog -lrt -lboost_system -lboost_thread -lmysqlclient

async_SOURCES=async.cpp
async_CPPFLAGS=${AM_CPPFLAGS}
async_LDFLAGS=${AM_LDFLAGS}  -L. -lzlog -lrt

client_SOURCES=client.cpp message_file.cpp
client_CPPFLAGS=${AM_CPPFLAGS}
client_LDFLAGS=${AM_LDFLAGS}  -L. -lzlog

test_SOURCES=test.cpp base64.cpp
test_CPPFLAGS=${AM_CPPFLAGS}
test_LDFLAGS=${AM_LDFLAGS}  -L. -lzlog -lrt

DEFS= 
EXTRA_DIST=message_file.h

